"""
@author: luojunhui
"""

import datetime

from applications import log
from coldStartTasks.ai_pipeline import ExtractVideoBestFrame


def main():
    task = ExtractVideoBestFrame()

    # 查询有多少任务正在处理中
    processing_tasks = task.get_processing_task_pool_size()

    if processing_tasks:
        print(
            f"{datetime.datetime.now()} 当前有 {processing_tasks} 个任务正在等待 google 处理..."
        )
        task.extract_best_frame_with_gemini_ai()
    else:
        print(f"{datetime.datetime.now()} 没有任务正在处理中...")
        # upload video to google ai
        task.upload_video_to_gemini_ai()
        log(
            task="video_understanding_with_google",
            function="main",
            message="upload_video_to_google_ai_task",
        )
        task.extract_best_frame_with_gemini_ai()


if __name__ == "__main__":
    main()
